> For the complete documentation index, see [llms.txt](https://gamelauncher.cloud/help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gamelauncher.cloud/help/reference/api-reference.md).

# API Reference

Complete REST API documentation and reference

Integrate Game Launcher Cloud into your workflows with our RESTful API.

***

{% hint style="success" %}
**Looking for the End-points?**

<a href="https://api.gamelauncher.cloud/swagger/index.html" class="button primary" data-icon="up-right-from-square">Visit Swagger API Reference</a>
{% endhint %}

## Overview

The Game Launcher Cloud API provides programmatic access to all platform features.

```mermaid
graph LR
    Client[Your Application] --> Auth[Authenticate]
    Auth --> API[API Endpoints]
    API --> Response[JSON Response]
    
    style Auth fill:#4f46e5,stroke:#4338ca,color:#fff
    style Response fill:#10b981,stroke:#059669,color:#fff
```

**Base URL:**

```
https://api.gamelauncher.cloud/api
```

***

## Authentication

### API Keys

Generate an API key from your dashboard:

**Dashboard** → **User** → **API Keys** → **Create API Key**

<a href="https://app.gamelauncher.cloud/user/api-keys" class="button primary" data-icon="up-right-from-square">Create API Key in your account</a>

```bash
Authorization: Bearer YOUR_API_KEY
```

**Example Request:**

```bash
curl -X GET "https://api.gamelauncher.cloud/api/apps" \
  -H "Authorization: Bearer glc_1234567890abcdef" \
  -H "Content-Type: application/json"
```

{% hint style="warning" %}
**Keep it Secret**: Never expose API keys in client-side code or public repositories!
{% endhint %}

***

## Response Format

### Standard Response

All API responses follow this format:

```json
{
  "statusCode": 100,
  "isSuccess": true,
  "errorMessages": [
    "string"
  ],
  "result": "string"
}
```

### Error Response

{% hint style="success" %}
**Need API Support?** Contact our developer team at <support@gamelauncher.cloud>
{% endhint %}
